#ifndef SETCONTROLSTYLE_H
#define SETCONTROLSTYLE_H

#include <QObject>
#include <QWidget>
#include "main.h"

class SetControlStyle : public QObject
{
    Q_OBJECT
public:
    explicit SetControlStyle(QObject *parent = 0);

private:
    QString m_uiName;//窗体名称

public:
    void setUiName(QString uiName);//设置窗体名称
    QString getStyleSheet(QString controlName);//获取普通按钮样式表
    QString getStyleSheet1(QString controlName);//获取样式表
    QString getBorderImageStyleSheet(QString controlName);//获取九宫格frame样式表
    QString getTopStyleSheet(QString controlName);//获取自定义按钮顶层样式表
    QString getBottomStyleSheet(QString parentName);//获取自定义按钮底层样式表
    QString getBottomStyleSheet1(QString parentName);//获取自定义按钮底层样式表
    QString getBtnStyleSheet(QString iconName);//获取普通按钮样式表(字符输入)

    QString getSharedStyleSheet();//获取普通按钮样式表
    QString getSharedTopStyleSheet(QString controlName);//获取自定义按钮顶层样式表
    QString getSharedBottomStyleSheet(QString parentName);//获取自定义按钮底层样式表
    QString getSharedBtnStyleSheet(QString iconName);//获取普通按钮样式表(字符输入)

signals:

public slots:
};

#endif // SETCONTROLSTYLE_H
